/**
 * ActClassFinancialContract2.java
 *
 * File generated from the medication2::ActClassFinancialContract2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassFinancialContract2.
 *
 * 
 */

@XmlType(name = "ActClassFinancialContract")
@XmlEnum
@XmlRootElement(name = "ActClassFinancialContract2")
public enum ActClassFinancialContract2 {
	@XmlEnumValue("FCNTRCT")
	FCNTRCT("FCNTRCT"),
	@XmlEnumValue("COV")
	COV("COV");
	
	private final String value;

    ActClassFinancialContract2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassFinancialContract2 fromValue(String v) {
        for (ActClassFinancialContract2 c: ActClassFinancialContract2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
